Package de.willuhn.jameica.hbci.passports.rdh.keyformat

# Class HBCI4JavaFormat

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat
de.willuhn.jameica.hbci.passports.rdh.keyformat.HBCI4JavaFormat

All Implemented Interfaces:
  `KeyFormat`, `Comparable<KeyFormat>`

Direct Known Subclasses:
  `RAH10Format`, `RDH2Format`

public class HBCI4JavaFormat extends AbstractKeyFormat
Implementierung des Schluesselformats von HBCI4Java.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static de.willuhn.util.I18N`
`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`FEATURE_CREATE, FEATURE_IMPORT`

## Constructor Summary

Constructors
Constructor
Description
`HBCI4JavaFormat()`

## Method Summary

Modifier and Type
Method
Description
`RDHKey`
`createKey(File file)`
Erzeugt einen neuen Schluessel.
`String`
`getName()`
Liefert einen sprechenden Namen des Formats.
`boolean`
`hasFeature(int feature)`
Prueft, ob das Format das angegebene Feature unterstuetzt.
`RDHKey`
`importKey(File file)`
Importiert einen Schluessel.
`org.kapott.hbci.passport.HBCIPassport`
`load(RDHKey key)`
Laedt einen Schluessel.

### Methods inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat

`compareTo, getOrder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static de.willuhn.util.I18N i18n

## Constructor Details

### HBCI4JavaFormat

public HBCI4JavaFormat()

## Method Details

### getName

public String getName()
Description copied from interface: `KeyFormat`
Liefert einen sprechenden Namen des Formats.

Returns:
  Sprechender Name.
See Also:
  - `KeyFormat.getName()`

### hasFeature

public boolean hasFeature(int feature)
Description copied from interface: `KeyFormat`
Prueft, ob das Format das angegebene Feature unterstuetzt.

Parameters:
  `feature` - das geforderte Feature.
Returns:
  true, wenn es unterstuetzt wird.
See Also:
  - `KeyFormat.hasFeature(int)`

### importKey

public RDHKey importKey(File file) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Description copied from interface: `KeyFormat`
Importiert einen Schluessel. Die Funktion soll nur ein RDHKey-Objekt erzeugen. Die Registrierung des Schluessels in Hibiscus uebernimmt der Aufrufer.

Parameters:
  `file` - die Schluesseldatei.
Returns:
  der importierte Schluessel.
Throws:
  `de.willuhn.util.ApplicationException` - Fehler.
  `de.willuhn.jameica.system.OperationCanceledException` - wenn der Import abgebrochen werden soll.
See Also:
  - `KeyFormat.importKey(java.io.File)`

### createKey

public RDHKey createKey(File file) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Description copied from interface: `KeyFormat`
Erzeugt einen neuen Schluessel.

Parameters:
  `file` - Ziel-Datei, in der der Schluessel erzeugt werden soll.
Returns:
  der neue Schluessel.
Throws:
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`
See Also:
  - `KeyFormat.createKey(java.io.File)`

### load

public org.kapott.hbci.passport.HBCIPassport load(RDHKey key) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Description copied from interface: `KeyFormat`
Laedt einen Schluessel.

Parameters:
  `key` - der Schluessel.
Returns:
  HBCIPassport-Instanz des Schluessels.
Throws:
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`
See Also:
  - `KeyFormat.load(de.willuhn.jameica.hbci.passports.rdh.rmi.RDHKey)`